Skip to content
On this page

# API Overview ​

Lancet (Lancet) is a powerful, comprehensive, efficient and reusable go language tool function library. Contains 25 packages, more than 600 utility functions. Functions cover string processing, slice processing, network, concurrency, encryption and decryption, file processing, time/date, stream processing, iterators, and more.

lancet function module

algorithm
compare
concurrency
condition
convertor
cryptor
datastructure
datetime
fileutil
formatter
function
iterator
maputil
mathutil
netutil
pointer
random
retry
slice
stream
structs
strutil
system
tuple
validator
xerror